×
  • Web前端首页
  • 开发工具
  • 关于在运行PowerShell时,出现的错误提示【尝试新的跨平台 PowerShell https://aka.ms/pscore6】的处理方法

关于在运行PowerShell时,出现的错误提示【尝试新的跨平台 PowerShell https://aka.ms/pscore6】的处理方法

作者:Terry2021.09.06来源:Web前端之家浏览:54560评论:0
关键词:PowerShellGitBash

500.jpg

新的一周,新的一天。早上打开vscode运行项目的时候,发现报错了。提示:尝试新的跨平台 PowerShell https://aka.ms/pscore6。然后一脸蒙蔽,并且我试着执行其他命令,也是提示这个,并且还有其他的错误代码。我们可以看下提示截图:

11.jpg

这个时候大家不要慌,可能有些同学会去想到下面的报错信息,然后去重新安装项目环境。此时告诉大家务必不需要这样做。我们从提一条提示【尝试新的跨平台 PowerShell https://aka.ms/pscore6】得知,让您尝试新的跨平台,为什么不去打开后面的这个地址呢。

于是我打开了https://aka.ms/pscore6。发现问题就是现在我用的PowerShell版本有点OUT了,需要安装新的版本。看了官方的文档,觉得写得有点复杂,这里我直接总结下,给大家参考。走起吧。

1、打开官方更新动态:

https://github.com/PowerShell/PowerShell/releases

2、找到最新的版本:

比如我本次发现的最新版本是:v7.2.0-preview.9 Release of PowerShell,您可以点击下,然后下面就会有针对您系统的很多版本,如下截图:44.jpg

我的是win64的,于是我直接下载上述标记的文件。大家要根据自己的系统下载对应。然后下载完成,直接安装,安装过程中不需要任何特殊设置,一步到底都是默认。

装完后,我们在打开vscode,运行终端发现提示变了。如下图:

33.jpg

看到这个情况,恭喜您,您可以正常运行项目了。试试吧!!!

3、问题拓展

一般我们vscode默认是PowerShell,如果你不想这样搞,我可以推荐用Git Bash去运行项目。这样就不会出现以上的报错,下面是我更新PowerShell之前,采用Git Bash去运行项目的截图:

22.jpg

总结

不管是采用PowerShell还是Git Bash,或者其他的,最终目的是要让我们的项目跑起来;所以您可以根据喜好或者团队去定。

希望以上内容能帮到大家。

您的支持是我们创作的动力!
温馨提示:本文作者系Terry ,经Web前端之家编辑修改或补充,转载请注明出处和本文链接:
https://www.jiangweishan.com/article/PowerShell20210906a2.html

网友评论文明上网理性发言已有0人参与

发表评论: